// file: test.cc
//
// this utility tests the various random number generation functions
//

// isip include files
//
#include "random_gen.h"

// main program
//
main() {

  // generate some random numbers between -1 and 1
  //
  int_4 count = (int_4)1000000;
  float_4 num = (float_4)0;
  float_4 mean = (float_4)0;
  float_4 var = (float_4)0;
  for (int_4 i = 0; i < count; i++) {
    num = random_cc(1);
    mean += num;
    var += num * num;
  }

  // compute mean and variance
  //
  mean /= count;
  var = (var - mean * mean * count) / (count - 1); 

  // output the values
  //
  fprintf(stdout, "mean = %f :: std. dev. = %f\n", mean, var);
}
